*.sav
*.profraw
*.profdata
+*.creator
+*.creator.*
+*.config
+*.cflags
+*.cxxflags
+*.files
+*.includes
+*.su
+*.su.*
tests/formal-analysis/*
tests/formal-analysis
*.tar.gz
monocypher-*
-monocypher.*
doc/html/*.html
tests/vectors.h
- The html version of the manual, generated by the `doc/man2html.sh`
script. You will need mandoc.
-To generate a tarball, simply type `make tarball`. It will make a
-tarball with a name that matches the current version (as written in
-VERSION.md), in the current directory.
+To generate a tarball, simply type `make dist`. It will make a tarball
+with a name that matches the current version (using `git describe`), in
+the current directory.
PKGCONFIG=$(DESTDIR)/$(PREFIX)/lib/pkgconfig
MAN_DIR=$(DESTDIR)/$(PREFIX)/share/man/man3
-TARBALL_VERSION=`cat VERSION.md`
-TARBALL_DIR=.
+VERSION=__git__
ifeq ($(findstring -DED25519_SHA512, $(CFLAGS)),)
LINK_SHA512=
@echo 'includedir=$${prefix}/include' >> $(PKGCONFIG)/monocypher.pc
@echo '' >> $(PKGCONFIG)/monocypher.pc
@echo 'Name: monocypher' >> $(PKGCONFIG)/monocypher.pc
- @echo 'Version:' `cat VERSION.md` >> $(PKGCONFIG)/monocypher.pc
+ @echo 'Version: ' $(VERSION) >> $(PKGCONFIG)/monocypher.pc
@echo 'Description: Easy to use, easy to deploy crypto library' \
>> $(PKGCONFIG)/monocypher.pc
@echo '' >> $(PKGCONFIG)/monocypher.pc
@echo ""
return 1
-tarball: tests/vectors.h
- doc/man2html.sh
- touch $(TARBALL_DIR)/monocypher-$(TARBALL_VERSION).tar.gz
- tar -czvf $(TARBALL_DIR)/monocypher-$(TARBALL_VERSION).tar.gz \
- -X tarball_ignore \
- --transform='flags=r;s|^.|monocypher-'$(TARBALL_VERSION)'|' .
+dist: tests/vectors.h
+ ./release.sh
--- /dev/null
+#! /bin/sh
+
+set -e
+
+VERSION=`git describe --tags`
+
+doc/man2html.sh
+rsync -avd --exclude-from=tarball_ignore ./ monocypher-$VERSION
+for file in `find monocypher-$VERSION -type f `
+do
+ sed -i "s/__git__/$VERSION/" $file
+done
+tar -czf monocypher-$VERSION.tar.gz monocypher-$VERSION
+rm -rf monocypher-$VERSION
+// Monocypher version __git__
+
#include "monocypher.h"
/////////////////
+// Monocypher version __git__
+
#ifndef MONOCYPHER_H
#define MONOCYPHER_H
+// Monocypher version __git__
+
#include "sha512.h"
#define FOR(i, min, max) for (size_t i = min; i < max; i++)
+// Monocypher version __git__
+
#ifndef SHA512_H
#define SHA512_H
*.sav
*.profraw
*.profdata
+*.creator
+*.creator.*
+*.config
+*.cflags
+*.cxxflags
+*.files
+*.includes
+*.su
+*.su.*
tests/formal-analysis/*
tests/formal-analysis
*.tar.gz
monocypher-*
-monocypher.*
lib*
.git*